/*
 * FueraRangoLongitud.java
 *
 * Created on 13 de marzo de 2007, 10:36 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * 
 * @author Julian
 */
public class FueraRangoLongitud extends AbstractRule {

	/** Creates a new instance of LongitudIncorrectaObligatorio */
	public FueraRangoLongitud() {
	}

	public boolean performValidation(String field, String registro[], String nombreArchivo) {


    int minima = new Integer((String) getParams()[0]).intValue();
    int maxima = new Integer((String) getParams()[1]).intValue();


            if (field.length() < minima || field.length() > maxima) {
                return true;
            }
            return false;

        }

        }

